<?php
function parseCleanValue($val){
    if ($val == '') {
        return '';
    }
    $val = str_replace('&#032;', ' ', stripslashes($val));
    $val = str_replace(array('', '', ''), '', $val);
    $val = str_replace('<!--', '&#60;&#33;--', $val);
    $val = str_replace('-->', '--&#62;', $val);
    $val = str_ireplace('<script', '&#60;script', $val);
    $val = preg_replace('/&amp;#([0-9]+);/s', '&#\\1;', $val);
    $val = preg_replace('/&#(\\d+?)([^\\d;])/i', '&#\\1;\\2', $val);
    return trim($val);
};

function getUserInfo($bd,$user_id){
    $query = "SELECT * FROM `users` WHERE `id` = '".$user_id."'";
    $stmt = $bd->prepare($query);
    $stmt->execute();
    if($stmt->rowCount() > 0){
        $user_info = $stmt->fetch(PDO::FETCH_ASSOC);
        $user_info['bouquet'] = json_decode($user_info['bouquet'], true);
        $arrSeries = $arrStreams = array();
        $bqt = getBouquets($bd);
        foreach ($user_info['bouquet'] as $id) {
            if (isset($bqt[$id]['streams'])) {
                $arrStreams = array_merge($arrStreams, $bqt[$id]['streams']);
            }
            if (isset($bqt[$id]['series'])) {
                $arrSeries = array_merge($arrSeries, $bqt[$id]['series']);
            }
        }
        $user_info['channel_ids'] = array_unique($arrStreams);
        $user_info['series_ids'] = array_unique($arrSeries);

        return $user_info;
    }

    return false;
}

function getBouquets($bd){
    $output = array();
    $stmt = $bd->prepare('SELECT `id`,`bouquet_channels`,`bouquet_series` FROM `bouquets`');
    $stmt->execute();
    $consulta = $stmt->fetchAll();
    foreach($consulta as $value){
        $output[$value['id']]['streams'] = json_decode($value['bouquet_channels'], true);
        $output[$value['id']]['series'] = json_decode($value['bouquet_series'], true);
    }
    return $output;
}
